$(function () {
  $('#input-date-filtro').daterangepicker({
      locale: {
          format: 'DD/MM/YYYY',
          applyLabel: 'Aplicar',
          cancelLabel: 'Limpar',
          customRangeLabel: 'Customizado',
          daysOfWeek: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
          monthNames: [
              'Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho',
              'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'
          ],
      },
      ranges: {
          'Hoje': [moment(), moment()],
          'Ontem': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
          'Últimos 7 dias': [moment().subtract(6, 'days'), moment()],
          'Últimos 30 dias': [moment().subtract(29, 'days'), moment()],
          'Este mês': [moment().startOf('month'), moment().endOf('month')],
          'Mês passado': [
              moment().subtract(1, 'month').startOf('month'),
              moment().subtract(1, 'month').endOf('month'),
          ],
          'Vitalício': [moment('2018-01-01'), moment()],
      },
      startDate: moment().subtract(6, 'days').format('DD/MM/YYYY'),
      endDate: moment().format('DD/MM/YYYY'),
  });
});
