const btnStatusCupom = document.querySelector('#btn-status-gateway');
btnStatusCupom.addEventListener('click', () => openListSelect(btnStatusCupom));

function openListSelect(element) {
  const listValues = document.querySelectorAll('.list-values a');
  const elementSpan = element.querySelector('span');

  listValues.forEach((elem) => {
    if (elem.textContent == elementSpan.textContent) {
      elem.parentElement.classList.add('item-ativo');
    } else {
      elem.parentElement.classList.remove('item-ativo');
    }
  });
  element.parentElement.classList.toggle('ativo');
}

function changeValue(idElement, value) {
  const element = document.getElementById(idElement);
  const elementSpan = element.querySelector('span');

  elementSpan.textContent = value;
  elementSpan.classList.remove('ativo');
  elementSpan.classList.remove('inativo');
  elementSpan.classList.add(value.toLowerCase());
  element.parentElement.classList.remove('ativo');
}

function openAlert(idAlert) {
  const alert = document.getElementById(idAlert);
  alert.classList.add('ativo');

  const barValue = alert.querySelector('.bar-value');
  let value = 0;
  setInterval(() => {
    if (value + 1 <= 100) value++;
    barValue.style.width = `${value}%`;
  }, 25);

  setTimeout(() => {
    alert.classList.remove('ativo');
  }, 3000);
}

openAlert('alert-cupom-editado');
